### Method

# Fwupd Device get_id_display

since: 2.1.7

#### Declaration [src]

    gchar*
    fwupd_device_get_id_display (
      FwupdDevice* self
    )

#### Description [src]

Gets the device ID suffixed with the display name if set.

Available since: 2.1.7

#### Return value

Type: `gchar*`

A string value, or `NULL` if invalid.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.